Skip to main content
GET
/
sources
/
{sourceKey}
/
v1
/
purge
/
{purgeId}
Get the result of a purge request
curl --request GET \
  --url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/purge/{purgeId} \
  --header 'X-Clinia-API-Key: <api-key>'
{
  "taskId": "<string>",
  "purgeId": "<string>",
  "collectionKey": "<string>",
  "deletedCount": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.clinia.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

sourceKey
string
required

The key of the source.

purgeId
string
required

ID of the purge job.

Response

Gets the current status of the purge job.

taskId
string
required
read-only

The task identifier. Used to track an async task in the system. Use the task ID to poll for completion status. The taskId holds different prefix to represent different tasks.

  • oneOf task: s_<id>.
  • bulk task: bk_<id> (deprecated: <id> only).
  • bundle task: bd_<id> (deprecated: <id> only).
  • purge task: pg_<id> (deprecated: purge:<id>).
purgeId
string
required
read-only

ID of the purge operation. Deprecated, please use the taskId instead.

collectionType
enum<string>
required
read-only

Type of document, either relationships or resources.

Available options:
resources,
relationships,
objects
collectionKey
string
required
read-only

Key of the resource or relationship collection.

status
enum<string>
required
read-only

Status of the purge operation.

Available options:
SUCCESS,
PENDING,
CANCELLED,
FAILURE
deletedCount
integer<int64>
read-only

Number of documents deleted in case of success status.

createdAt
string<date-time>
read-only
updatedAt
string<date-time>
read-only